Ticket #42468

civ2civ3: About Current Ruleset Wrong About Offshore Platforms

Open Date: 2021-06-03 18:31 Last Update: 2021-07-11 07:04

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

About Current Ruleset says:

- Lake tiles receive for free +1 Food (2/0/2), while Harbours and
  Offshore Platforms do not affect them.
The help on Offshore Platforms says:
Every Ocean or Lake tile worked by the city yields one extra shield resource,
The help is correct.

Ticket History (3/8 Histories)

2021-06-03 18:31 Updated by: chippo
  • New Ticket "civ2civ3: About Current Ruleset Wrong About Offshore Platforms" created
2021-06-07 03:52 Updated by: bard
Comment

I'll add this one to my list of pending fixes/changes to the readme file. Thank you.

I wrote that readme before it was visible from the game client, and most of it before this ruleset was considered to be the default one, or even to be included in freeciv releases. JTN (and maybe others) helped to clean it a bit, but it would require several other fixes/changes. I'll try to do some patches now I have more free time.

2021-06-07 04:35 Updated by: chippo
Comment

Reply To bard

I wrote that readme before it was visible from the game client, and most of it before this ruleset was considered to be the default one, or even to be included in freeciv releases. JTN (and maybe others) helped to clean it a bit, but it would require several other fixes/changes. I'll try to do some patches now I have more free time.

It's the best 'About Current Ruleset' that exists. Be proud, not apologetic.

2021-06-20 09:12 Updated by: bard
Comment

Thank you. Anyway, I have been working on some improvements to the readme that I plan to upload soon. I'll do this patch too.

2021-06-25 09:09 Updated by: bard
Comment

These fixes are already included in the patch #42558 for v3.0 and above.

This patch for v2.6 do not change the wording of the readme (I'm not native speaker and I'm not sure if the patch I made for 3.0 is going to require some further correction). It just includes the 2 only changes I found that could be considered bugs:

- wrong about effect of offshore platforms on lakes.

- wrong about upkeep of Mass Transit and Mfg. Plant.

2021-07-09 13:15 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.6 (closed)
  • Component Update from (None) to Documentation
2021-07-11 07:04 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login